Subject: Re: bug#28286: sh-script package has incorrect syntax highlighting when shell type is set to rpm

From: Glenn Morris <[email-masked]>
Date: Wed, 30 Aug 2017 16:30:15 -0400

Andrew Toskin wrote:

> %description blocks only contain plain text descriptions of the RPM
> package, and last until the following %macro; there should be no syntax
> highlighting between the two macros. Or if there were, everything inside
> the description should all be the same color, until the next %macro starts.
>
> I'm using Emacs 25.2.1, as packaged on Fedora 26 Workstation x86_64. So,
> the sh-script 2.0.6 package is built in.

sh-script.el's support for RPM spec files is _extremely_ basic.
There is a dedicated rpm-spec-mode.el distributed separately that you
might prefer.